#!/bin/bash
clear
# rsync -Pavh --exclude-from=file Tmp proba
# Si ponemos Tmp/ solo copiará los archivos de Tmp, no la carpeta entera
echo " ###################################"
echo "##            	                    ##"
echo "##    SCRIPT COPIAS DE SEGURIDAD    ##"
echo "##            RSYNC                 ##"
echo "##          Por ZX80                ##"
echo "##                                  ##"
echo " ####################################"
echo
sleep 3s
echo .
echo .
echo .
echo .
echo "Copiando ..."
# Para excluir de una lista con archivos y carpetas
# rsync -avz --exclude-from 'lista_excluidos.txt' source/ destino/

rsync -Pavh 0Fotos /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh Basura /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh Descargas /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh gPodder /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh Mierda --exclude 'Store/amule' /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh Scribus /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh sys /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh Tmp /home/zx80/Backup/ 1>>salida.txt


# ocultos
rsync -Pavh .aMule --exclude 'Incoming' --exclude 'Temp' /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .config /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .cups /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .fonts /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .gconf /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .gnome2 /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .gftp /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .gnupg /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .gqview /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .hplip /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .icons /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .purple /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .SoulseekQt /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .sylpheed-2.0 /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .tor /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .scripts /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .xmame /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .bashrc /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .bash_profile /home/zx80/Backup/ 1>>salida.txt
rsync -Pavh .xinitrc /home/zx80/Backup/ 1>>salida.txt

sleep 4s
echo .
echo .
echo .
echo .
echo "Copia realizada correctamente."
echo
echo "Tareando Backup..."
echo .
echo .
tar -zcvf Backup.tgz Backup 1>>salida_b.txt
echo "Purgando directorio e iniciando copia...."
echo .
echo .
echo .
rm -rf Backup
echo "    Listo !!!!"
echo
echo
